Bug 134191 - Need ppc64 64-bit openldap-devel package
Need ppc64 64-bit openldap-devel package
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 23:06 EDT by Dennis
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis 2004-09-29 23:06:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Some necessary development 64-bit libraries are not available
on the ppc64 release of Red Hat Enterprise Linux 3.

For example the following libraries are not available:

/usr/lib64/liblber.a
/usr/lib64/liblber.so
/usr/lib64/libldap.a
/usr/lib64/libldap.so
/usr/lib64/libldap_r.a
/usr/lib64/libldap_r.so

A Red Hat engineer informs me that an openldap-devel-*.ppc64 
package will need to be created (alongside 
openldap-devel-*.ppc). The package should be built something like
rpmbuild --rebuild --target ppc64 openldap-devel*.src.rpm

The request asks for that package to be created and made available.
This is needed to successfully create 64-bit applications.

Dennis.

Version-Release number of selected component (if applicable):
openldap-devel-2.0.27-11

How reproducible:
Always

Steps to Reproduce:
1. This is an enhancement request 

Additional info:
Comment 1 Dennis 2004-10-10 20:30:08 EDT
I filed four enhancement requests (for ppc64 packages), those
packages were:

e2fsprogs-devel
krb5-devel
openldap-devel
openssl-devel

The first request of which (e2fsprogs-devel) has been rejected
by Bill Nottingham, see 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134188

Just making you guys aware of this. It may mean the closing
of this request along similar lines.

Note, without the above 64-bit development packages 64-bit
binary production is made difficult. 

Dennis.
Comment 2 RHEL Product and Program Management 2007-10-19 15:17:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.